#ifndef _SAMPLES_H__
#define _SAMPLES_H__
#include "os/os_types.h"

void samples_init(void);
int get_vbus_int(void);
float get_vbus_float(void);
float get_throttle_float(void);
void get_phase_vols(float *uvw);
void sample_uvw_phase(void);
void sample_vbus(void);
void sample_ibus(void);
void sample_throttle(void);
void sample_motor_temp(void);
void sample_mos_temp(void);
void sample_vref(void);
s16 get_motor_temp(void);
s16 get_mos_temp(void);
int get_acc_vol(void);
s16 get_mos_temp2(void);
float get_vbus_current(void);
void sample_ibus_offset(u16 offset);
float get_adc_vref(void);
float get_thro2_5v_float(void);
float get_thro_5v_float(void);
float get_throttle2_float(void);

#endif /* _SAMPLES_H__ */

